set seed 1290123957
set linesize 255
set matsize 800

do crwork // load data
do progs  // load estimation progs

unab amen1 : FIpdm FIpdd FIcs FIwtfactor FIpopkm2 FIpub FIpcito FIasch FIvsch FIrst
unab amen0 : FSpdm FSpdd FScs FSwtfactor FSpopkm2 FSpub FSpcito FSasch FSvsch FSrst
unab xvars : age21-age25 age_d1 age_d2 age_d3 lnw baby rktendv FStemp tzbud trpcito dzbud drpcito ///
             noord zuid oost wwperc vacatbb werkloosheid_perc dwerkloosheid
unab z     : zbud zbaby 

// choose specification
local spec = "schoolsize" // "schoolsize" "nonlin"

if "`spec'"=="nonlin"{
	local thresh = .1
	gen FIpdm0 = FIpdm*(FIpdm<`thresh')
	gen FIpdm1 = FIpdm*(FIpdm>=`thresh')
	gen FSpdm0 = FSpdm*(FSpdm<`thresh')
	gen FSpdm1 = FSpdm*(FSpdm>=`thresh')
	unab amen1 : FIpdm0 FIpdm1 FIpdd FIcs FIwtfactor FIpopkm2 FIpub FIpcito FIasch FIvsch FIrst
	unab amen0 : FSpdm0 FSpdm1 FSpdd FScs FSwtfactor FSpopkm2 FSpub FSpcito FSasch FSvsch FSrst
}

if "`spec'"=="fulltime"{
	replace FSwtf = (FSwtf>=.6)
	replace FIwtf = (FIwtf>=.6)
}

if "`spec'"=="schoolsize"{
	unab amen1: `amen1' FIschoolsize
	unab amen0: `amen0' FSschoolsize
}

local bs bs

amenities _revis_`spec' , `bs' amen1(`amen1') amen0(`amen0') xvars(`xvars') z(`z')
