use $CITODATA, clear
drop if jaar==.
drop if brin==""
drop if gesl==0
rename gesl girl
recode girl 1=0 6=1

g sdmath = taal
g sdlang = reken
g ntest = 1

rename reken math
rename taal lang
rename jaar year

bys year: egen pcito = rank(cito)
bys year: egen pmath = rank(math)
bys year: egen plang = rank(lang)
forv y=1999/2003 {
	count if year==`y'
	replace pcito = pcito/r(N) if year==`y'
	replace pmath = pmath/r(N) if year==`y'
	replace plang = plang/r(N) if year==`y'
}


collapse (mean) plang pmath pcito girl, by(brin year)
label var girl "fraction girls"

label var pmath "average math percentile"
label var plang "average lang percentile"
label var pcito "average cito percentile"

bys brin: egen mcito = mean(pcito)
bys brin: egen mlang = mean(plang)
bys brin: egen mmath = mean(pmath)

foreach v in mcito mlang mmath {
	g q`v' = .
	forv y=1999/2003 {
		xtile tmp = `v' if year==`y', nq(5)
		replace q`v' = tmp if year==`y'
		drop tmp
	}
}


order brin year
compress
save data/test, replace
