clear all

use data/table
tsset, clear

// the overwhelming majority of primary school teachers is female
keep if vrouw==1
keep if inrange(age, 20, 60)

// get rid of some outliers (565 obs)
keep if inrange(FScs, 8, 35)
keep if inrange(FIcs, 8, 35)

// 380 obs:
keep if inrange(FSrst, 0, 1)
keep if inrange(FIrst, 0, 1)

egen schoolid = group(brin)

g byte age21 = age<=21
g byte age22 = age==22
g byte age23 = age==23
g byte age24 = age==24
g byte age25 = age==25

replace tzbud = tzbud / 1000
replace dzbud = dzbud / 1000

// create region/year dummies
sort brin year
merge m:1 brin year using other/schools_region
tab _merge
keep if _merge==3
drop _merge
egen ry = group(region year)
qui tab ry, gen(ry_)
drop ry ry_1
qui tab region, gen(region_)
drop region_1

rename region regio
sort regio year
merge regio year using cbs/wwperc
tab _merge
keep if _merge==3
drop _merge

replace year = year + 1 
sort regio year
merge regio year using cbs/vacatbb
replace year = year - 1 
tab _merge
keep if _merge==3
drop _merge

rename regio region
g str regio   = "Noord-Nederland" if region=="Friesland"     | region=="Groningen"    | region=="Drenthe"  
replace regio = "Oost-Nederland"  if region=="Gelderland"    | region=="Overijssel"   | region=="Flevoland"
replace regio = "West-Nederland"  if region=="Noord-Holland" | region=="Zuid-Holland" | region=="Utrecht"   | region=="Zeeland"
replace regio = "Zuid-Nederland"  if region=="Noord-Brabant" | region=="Limburg"

g byte noord = regio=="Noord-Nederland"
g byte zuid  = regio=="Zuid-Nederland"
g byte oost  = regio=="Oost-Nederland"
g byte west  = regio=="West-Nederland"

sort regio year
merge regio year using cbs/werkl
tab _merge
keep if _merge==3
drop _merge

label var FSpdm "Disadv. minority pupils "
label var FSpdd "Disadv. Dutch pupils " 
label var FScs "Pupil-teacher ratio "
label var FSwtfactor "Teacher hours"
label var FSpopkm2 "Population density"
label var FSpub "Public school"
label var FSpcito "Student achievement"
label var FSasch "Age colleages"
label var FSvsch "Female colleages"
label var FSrst "Support staff"
