clear all

// show that zbud positively affects next year's school demand for teacher (R1, p3)
use data/schools, clear // load school data set
keep brin year wtf zbud
bys brin (year): gen Fwtf = wtf[_n+1]
pwcorr Fwtf zbud, star(.01)
clear all

// load teacher data set
qui do crwork

// amenity = FS if stay and FI if quit
foreach vv in pdm pdd cs wtfactor popkm2 pub pcito asch vsch rst{
	gen A_`vv' = (1-q)*FS`vv'+q*FI`vv'
}

// parental leaves (R1, p3)
// follow teachers until first job quit and check whether movers are more likely to have had a child recently
preserve
bys stamnr (year): gen Sbaby =sum(baby)
replace Sbaby = Sbaby>0
bys stamnr (year): gen Sq = sum(q)
bys stamnr (year): drop if Sq>0 & Sq[_n-1]>0 & _n>1
bys stamnr (year): keep if _n==_N
pwcorr Sq Sbaby, star(.01)
restore

// FIGURE S1
// average amenity per age (R2, p5)
// also average quit, maternity leave and full-time per age (R1, p3)
preserve
keep if age>20 & age<60
gen ftime = A_wtf>=.9
collapse (mean) q baby ftime A_*, by(age)
sc q age, xt("") yt("")
gr export fig/q_age.eps, replace

sc baby age, xt("") yt("")
gr export fig/baby_age.eps, replace

sc ftime age, xt("") yt("")
gr export fig/ftime_age.eps, replace

foreach vv of varlist A_*{
	sc `vv' age, xt("") yt("")
	gr export fig/`vv'.eps, replace
	more
}
restore

// exits from the teacher labour market (R3, p2)
preserve
// FIGURE S2
bys age: gen a1 = age if _n==1
bys stamnr (year): gen exit = (year<2001 & _n==_N)
kdensity age if exit==1, gen(ke1) at(a1) nograph
kdensity age if exit==0, gen(ke0) at(a1) nograph 
sc ke1 ke0 a1, legend(label(1 "Exit")) legend(label(2 "Stay")) ms(i i) c(solid shortdash) lc(red blue) sort xtitle(Age) ytitle(Density) ylabel(,angle(0))
gr export fig/kage_exit.eps, replace
probit exit A_*
// TABLE S2
probit exit A_* age21-age25 age_d1 age_d2 age_d3 lnw baby rktendv FStem noord zuid oost wwperc vacatbb werkloosheid_perc dwerkloosheid
restore

