cap program drop babyleave
program babyleave
args y
	use $RAWDATA/`y'/caso`y'd
	drop if datumzv1 <= mdy(7,1,`y') | datumzv0 <= mdy(7,1,`y')
	drop if afwomv > 1.1
	replace datumzv1 = mdy(1,1,`y' + 1) if datumzv1 == . | datumzv1 > mdy(12,31,`y')
	gen cs = (datumzv1 == mdy(1,1,`y' + 1))
	gen labs = datumzv1 - datumzv0
	drop if labs <= 10
	keep if redenafw == 1 | redenafw == 11 | redenafw == 12
	gen sick = (redenafw == 1)
	gen baby = (redenafw == 11 | redenafw == 12)
	gen wtfbaby = afwomv * baby
	gen wtfsick = afwomv * sick
	gen lbabyabs = labs * baby
	gen lsickabs = labs * sick
	bys stamnr wgnr (lsickabs): replace lsickabs = lsickabs[_N] 
	bys stamnr wgnr (lsickabs): replace wtfsick = wtfsick[_N]
	foreach vv of varlist sick baby wtfbaby lbabyabs{
		bys stamnr wgnr (`vv'): replace `vv' = `vv'[_N]
	}
	bys stamnr wgnr (cs): keep if _n == _N
	keep stamnr wgnr cs baby wtfbaby sick wtfsick lbabyabs lsickabs
	sort stamnr wgnr
	compress
	save temp, replace
end

cap program drop coupe
program coupe
args y at
	if (`y' <2002) {
		local yinc = `y' + 1
		babyleave `yinc'
	}
	use $RAWDATA/`y'/caso`y'b, clear
	// drop replacement contracts
	sort stamnr wgnr dvnr sdvnr
	merge stamnr wgnr dvnr sdvnr using $RAWDATA/`y'/caso`y'e
	tab _merge
	keep if _merge == 1
	drop _merge stamnra dvnra sdvnra redenver datumvv0 datumvv1
	sort stamnr wgnr dvnr sdvnr
	merge stamnr wgnr dvnr sdvnr using $RAWDATA/`y'/caso`y'a
	keep if _merge == 3
	keep if functie == 2 & schtype == 1
	keep if datumsf0 <= d(`at') & datumsf1 > d(`at')
	bys stam brin (datumsf0): replace datumsf0 = datumsf0[1]
	bys stam brin (datumdv0): replace datumdv0 = datumdv0[1]
	bys stam brin: egen temp = max(aarddv)
	bys stam brin (bapo): replace bapo = bapo[_N]
	bys stam brin (wtfact): replace wtfact = sum(wtfact)
	bys stam brin (wtfact): keep if _n == _N
	bys stam: keep if _N == 1
	keep stamnr wgnr brin gebjr vrouw schtype denom stedhd wtfact wage temp datumdv0 datumsf0 bapo
	gen year = `y'
	sort stamnr wgnr
	if (`y' < 2002) {
		merge stamnr wgnr using temp
		tab _merge
		drop if _merge == 2
		drop _merge
		foreach vv of varlist cs baby wtfbaby sick wtfsick lbabyabs lsickabs {
			replace `vv' = 0 if `vv' == .
		}
	}
	compress
	save data/cross`y', replace
end

coupe 2002 31dec2002
coupe 2001 31dec2001
coupe 2000 31dec2000
coupe 1999 31dec1999

append using data/cross2000
append using data/cross2001
append using data/cross2002

bys stam brin (datumsf0): replace datumsf0 = datumsf0[1]
bys stam brin (datumdv0): replace datumdv0 = datumdv0[1]

bys stam (year): gen ten0 = (brin ~= brin[_n - 1]) if year == (year[_n - 1] + 1)
bys stam (year): gen move = (brin ~= brin[_n + 1]) if year == (year[_n + 1] - 1)
bys stam (year): gen move1 = move * (month(datumsf0[_n + 1]) >= 7)

gen tenure = (mdy(12,31,year) - datumsf0) / 365
gen tenuredv = (mdy(12,31,year) - datumdv0) / 365
gen age = year - gebjr
drop gebjr

// delete indiv with inconsistent tenure
by stam: egen x = max(datumsf0 < mdy(1,1,year) & ten0 == 1)
drop if x==1
drop x

// delete indiv with high wtf
bys stam: egen sx = sum(wtfactor > 1.1)
drop if sx > 0
drop sx 

// indicator for relative tenure within the current school
bys brin year: egen rktendv = rank(tenuredv)
bys brin year: egen rktendvmax = max(rktendv)
replace rktendv = rktendv / rktendvmax
drop rktendvmax

sort stamnr year
compress
save data/cross, replace
